#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 29. Introduction to KDE

- Prev

  Phonon-backend-gstreamer-4.10.0

- Next

  Polkit-Qt-0.113.0

- Up
- Home

# Phonon-backend-vlc-0.11.2

## Introduction to the Phonon-backend-vlc

This package provides a Phonon backend which utilizes the VLC media framework.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/phonon/phonon-backend-vlc/0.11.2/phonon-backend-vlc-0.11.2.tar.xz

- Download MD5 sum: 182c543f0601b63b629580b489905cb8

- Download size: 64 KB

- Estimated disk space required: 5.6 MB

- Estimated build time: 0.3 SBU

### Phonon-backend-vlc Dependencies

#### Required

phonon-4.11.1 and VLC-3.0.12

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/phonon-backend-vlc

## Installation of Phonon-backend-vlc

Install Phonon-backend-vlc by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr \
          -DCMAKE_BUILD_TYPE=Release  \
          .. &&
    make

Now, as the `root` user:

    make install

## Command Explanations

`-DCMAKE_BUILD_TYPE=Release`: This switch is used to apply higher level of compiler optimizations.

## Contents

Installed Program: none
Installed Libraries: phonon_vlc.so
Installed Directory: /usr/lib/qt5/plugins/phonon4qt5_backend

Last updated on 2021-02-24 09:27:02 -0800

- Prev

  Phonon-backend-gstreamer-4.10.0

- Next

  Polkit-Qt-0.113.0

- Up
- Home